Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009456Dwarf FortressDwarf Mode -- Itemspublic2016-01-08 12:312016-01-18 16:17
Reportergchristopher 
Assigned ToToady One 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSWindowsOS Version7
Product Version0.42.04 
Target VersionFixed in Version0.42.06 
Summary0009456: Dwarves claim ownership of an item they pick up that matches a preference, then never put it down.
DescriptionSome dwarves accumulate objects in their right hands which they never put down. DFHack indicates that these objects have become owned by the dwarf, even though they would not normally be objects that a dwarf would claim as owned.

In all cases observed so far, each dwarf has a material or item type preference matching the object.

Observed with the following cases:

Dwarf with a preference for green glass holding several green glass pots in the right hand, some containing booze, some empty.

Dwarf with a preference for coins holding a steel coin in right hand.

Dwarf with a preference for iron holding an iron minecart in right hand.
Steps To ReproduceAs an experiment, using dfhack:

- the items were removed from the dwarfs owned object list
- the ownership record was removed from the item
- the object was marked for dumping

At that point, another dwarf would come get the item and dump it. But in the case of the iron minecart (the first observed case) dwarf would immediately claim ownership of the item when they picked it back up and refuse to drop it. (This time it was full of magma, so that dwarf has a severely burned right hand now.)

The experiment was repeated, removing the ownership association, with one additional step:

- Modify the preference of that dwarf so they no longer prefer the item or material type of the owned object.

So far (0000001:0000001 game year), dwarves who have had their preferences changed have ceased claiming ownership of items.

This isn't a full reproduction of the bug, as it demonstrates only a strongly correlated end to symptoms.

The next step would be to start a game with dwarves having preferences for very common materials/items and see if they claim and refuse to drop items that match their preferences.
Additional InformationMaybe this is related to: 0009443: Dwarfs acquire and equip multiple empty goblets?

Brief writeup and discussion with screenshots: http://www.bay12forums.com/smf/index.php?topic=155375.0 [^]

From 0009237:
http://dffd.bay12games.com/file.php?id=11378 [^]
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0009480resolvedDwarfu Dwarves will claim metal minecarts for themselves 
has duplicate 0009237resolvedDwarfu Haulers claim ownership of wheelbarrows then carry them everywhere 
has duplicate 0009463resolvedDwarfu Announce spam of child dropping cups 

-  Notes
(0034369)
Tzalizkan (reporter)
2016-01-08 14:58

Have you tried giving the dwarves their own room with a container to put the items in?
(0034373)
greycat (reporter)
2016-01-08 17:29

Almost certainly related to 0009443.
(0034374)
gchristopher (reporter)
2016-01-08 17:35

Yes, all dwarves had a room with a non-full cabinet and chest. I suspect that since the items were ones not normally owned, ("Oh hey! IRON minecart! It's mine!") they didn't have any idea what to do with them, other than let them build up in their right hands.
(0034424)
solsword (reporter)
2016-01-14 09:11

Just confirming this bug. Dwarf with preference for iron claimed an iron minecart as owned and proceeded to take it everywhere with her like a safety blanket. Of course this slows her speed to near-zero, so I've unassigned her from all but menial tasks.

When I had her drop her pick (she was a miner) she switched to a multigrasp on the minecart. "MINE, I TELL YOU, IT's MINE!"

I also noted that the cart was no longer available for assignment to hauling routes; forbidding or marking the cart for dumping had no effect.

- Issue History
Date Modified Username Field Change
2016-01-08 12:31 gchristopher New Issue
2016-01-08 14:58 Tzalizkan Note Added: 0034369
2016-01-08 17:29 greycat Note Added: 0034373
2016-01-08 17:35 gchristopher Note Added: 0034374
2016-01-14 09:11 solsword Note Added: 0034424
2016-01-16 08:48 Dwarfu Relationship added has duplicate 0009480
2016-01-18 01:57 Dwarfu Relationship added has duplicate 0009237
2016-01-18 01:59 Dwarfu Additional Information Updated View Revisions
2016-01-18 02:01 Dwarfu Assigned To => Dwarfu
2016-01-18 02:01 Dwarfu Status new => confirmed
2016-01-18 16:17 Toady One Status confirmed => resolved
2016-01-18 16:17 Toady One Fixed in Version => Next Version
2016-01-18 16:17 Toady One Resolution open => fixed
2016-01-18 16:17 Toady One Assigned To Dwarfu => Toady One
2016-01-19 20:24 Dwarfu Relationship added has duplicate 0009463


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker